import { fromEvent, Subject } from 'rxjs';
interface CaptureMethod {
    fromEvent: typeof fromEvent;
}
declare class BaseAsyncCapture {
    protected tids: Map<unknown, () => void>;
    protected onDestroy$: Subject<void>;
    clearAll(): void;
    fromEvent(...args: any): import("rxjs").Observable<unknown>;
    setTimeout(handler: TimerHandler, timeout?: number): () => void;
    requestAnimationFrame(...args: Parameters<typeof requestAnimationFrame>): () => void;
    onResize(el: HTMLElement, fn: () => any): () => void;
}
export declare class AsyncCapture extends BaseAsyncCapture {
    private groups;
    createGroup(id?: string): [Omit<BaseAsyncCapture, 'fromEvent'> & CaptureMethod, symbol | string];
    deleteGroup(id: symbol | string): void;
    clearAll(): void;
}
export declare function useAsync(): Omit<AsyncCapture, 'fromEvent'> & CaptureMethod;
export {};
